# Class AppEvent

java.lang.Object
java.util.EventObject
java.awt.desktop.AppEvent

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `AboutEvent, AppForegroundEvent, AppHiddenEvent, AppReopenedEvent, FilesEvent, OpenURIEvent, PreferencesEvent, QuitEvent, ScreenSleepEvent, SystemSleepEvent, UserSessionEvent`

public sealed class AppEvent extends EventObject permits AboutEvent, AppForegroundEvent, AppHiddenEvent, AppReopenedEvent, FilesEvent, OpenURIEvent, PreferencesEvent, QuitEvent, ScreenSleepEvent, SystemSleepEvent, UserSessionEvent
AppEvents are sent to listeners and handlers installed on the `Desktop` instance of the current desktop context.

Since:
  9
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields declared in class EventObject

  `source`

- ## Method Summary

  ### Methods declared in class EventObject

  `getSource, toString`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`